[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Firefox 51.0.1-1 on Debian Sid/experimental PowerPC (PPC32): Segmentation fault



Hi Adrian,

apt-get install -t experimental firefox-dbgsym

Preparing to unpack .../firefox-dbgsym_51.0.1-1_powerpc.deb ...
Unpacking firefox-dbgsym (51.0.1-1) ...
Setting up firefox-dbgsym (51.0.1-1) ...

apt-get install -t experimental firefox-dev-dbgsym

Setting up firefox-dev (51.0.1-1) ...
Setting up firefox-dev-dbgsym (51.0.1-1) ...

It's working.

gdb ./firefox

GNU gdb (GDB) 7.6.1 (Debian 7.6.1-1)
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "powerpc-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/lib/firefox/firefox...Reading symbols from /usr/lib/debug/.build-id/a6/81b7e65ae15687f43f84f7c55dfc4626f13bda.debug...Dwarf Error: wrong version in compilation unit header (is 6, should be 2, 3, or 4) [in module /usr/lib/debug/.build-id/a6/81b7e65ae15687f43f84f7c55dfc4626f13bda.debug]
(no debugging symbols found)...done.
(no debugging symbols found)...done.

(gdb) run

Starting program: /usr/lib/firefox/./firefox
warning: Could not load shared library symbols for linux-vdso32.so.1.
Do you need "set solib-search-path" or "set sysroot"?
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/powerpc-linux-gnu/libthread_db.so.1".
Dwarf Error: wrong version in compilation unit header (is 7, should be 2, 3, or 4) [in module /usr/lib/debug/.build-id/18/ea31ffd1c49eaf7be933acec89325cb9e187bf.debug] Dwarf Error: wrong version in compilation unit header (is 0, should be 2, 3, or 4) [in module /usr/lib/debug/.build-id/26/a1e97b21731a564ed396149593f4084391a20c.debug] Dwarf Error: wrong version in compilation unit header (is 0, should be 2, 3, or 4) [in module /usr/lib/debug/.build-id/7a/f876d1dcfc23d59299dd09539d4dba3a2ec5ce.debug] Dwarf Error: bad offset (0x3e830000) in compilation unit header (offset 0x0 + 6) [in module /usr/lib/debug/.build-id/7c/05723a7ada75d51fd4a85a036351a976ed9a68.debug]
Segmentation fault

Cheers,
Christian

On 06 February 2017 at 11:42 PM, John Paul Adrian Glaubitz wrote:
On 02/06/2017 11:36 PM, Christian Zigotzky wrote:
Which package should I install?
firefox-dbgsym should be enough. If not, installing the other
package as well shouldn't hurt either.



Reply to: